AUTHSELECT(8)

NAME
authselect - selección de orígenes de identidad y autenticación.

SINOPSIS

    authselect [--debug] [--trace] [--warn] comando [opciones del comando]

DESCRIPCIÓN

Authselect es una herramienta para configurar las fuentes y proveedores de identificación y autenticación en el sistema mediante la selección de perfiles. Un perfil es un conjunto de archivos que describe cómo debe quedar la configuración. Al elegir un perfil authselect se encarga de generar los archivos nsswitch.conf(5) y la configuración de PAM(8) para que funcionen según define el perfil.

Si el conjunto de perfiles existente no es suficiente, el administrador puede un crear uno personalizado poniéndolo en "/etc/authselect/custom". Con ello se puede usar inmediatamente desde authselect. Consulte authselect-profiles(5) para saber más sobre cómo extender los perfiles existentes.

OPT-IN A AUTHSELECT

Authselect no modificará su configuración existente a no ser que la haya creado. Si quiere comenzar a utilizar authselect para configurar la autentificación de su sistema, por favor invoque authselect select con el parámetro --force primero (ej. authselect select sssd --force). El parámetro --force dice a authselect que se puede sobrescribir configuraciones ya existentes que no son de authselect (ver descripción debajo). Usar el parámetro --force generará automáticamente una copia de seguridad de su configuración actual, así que si desea revertir los cambios puede restaurarla con el comando authselect backup-restore (ver descripción debajo).

OPT-OUT DESDE AUTHSELECT

Para evitar que authselect administre su configuración, ejecute authselect opt-out. Esto eliminará toda la configuración authselect de su sistema y puede entonces modificar su configuración manualmente.

COMANDOS DISPONIBLES

Para obtener una lista de todos los comandos disponibles ejecute authselect sin parámetros. Para mostrar ayuda de uno en concreto use authselect COMANDO --help.

select profile_id [opciones] [-f, --force] [-q, --quiet] [-b] [--backup=NOMBRE]
    Activa el perfil. Consulte la descripción del perfil con show para ver las características opcionales específicas de ese perfil.

    --force, -f
        Realizar los cambios incluso si la configuración anterior no venía de authselect, sino de otra herramienta o de cambios manuales. Se hará automáticamente una copia de respaldo de los archivos de sistema a no ser que se indique la opción --nobackup.

    -b
        Haz un respaldo de archivos antes de activar el perfil seleccionado. El utilizará como nombre una cadena de caracteres única con la hora y día actual de la copia. Esto es un atajo para --backup=.

    --backup=NOMBRE
        Haz una respaldo de los archivos de sistema antes de activar el perfil seleccionado. El respaldo será almacenado en "/var/lib/authselect/backups"/NAME. Si no se indica ningún valor se usará la cadena única de día y hora actual.

    --nobackup
        No hacer copia de respaldo de la configuración de sistema incluso cuando se indica --force.

    --quiet, -q
        El comando no mostrará mensajes de información como requisitos de perfil adicionales o lugar donde se guardan las copias. Los errores seguirán saliendo.

apply-changes [-b] [--backup=NOMBRE]
    Volver a aplicar el perfil. Se usa para volver a generar la configuración de sistema cuando se ha modificado el perfil. Sólo aplicará los cambios si la configuración actual es una configuración válida de authselect, en caso contrario devolverá error.

    -b
        Respalda archivos del sistema antes de aplicar los cambios. El respaldo se guardara en "/var/lib/authselect/backups"/NAME. La hora y día actual junto con una cadena de caracteres única serán utilizadas como un nombre del respaldo. Esto es un atajo para --backup=.

    --backup=NOMBRE
        Haz un respaldo de los archivos del sistema antes de aplicar los cambios. Los respaldos serán almacenados en "/var/lib/authselect/backups"/NOMBRE. Si no es proporcionado ningún valor se utilizará el tiempo de hora y día actual.

list
    Enumera perfiles disponibles.

listado-capacidades profile_id
    Enumera todas las características disponibles en el perfil proporcionado. Nota: Esto solo listará las habilidades sin ninguna descripción. Lea la documentación del perfil con show para ver qué hacen las habilidades.

show id_perfil
    Declara información sobre el perfil.

requirements id_perfil [características]
    Mostrar información sobre los requisitos del perfil.

actual [-r, --raw]
    Declara información sobre los perfiles seleccionados actualmente. Si está especificada la opción --raw, la orden declarará parámetros tal y como se pasaron al comando select en lugar de formatear la salida.

comprobar
    Comprobar si la configuración actual es válida (se creó con authselect o bien no quedan restos de la configuración de authselect anterior).

test profile_id [opciones] [capacidades]
    Mostrar el contenido de los archivos generados por authselect sin escribir nada en la configuración del sistema.

    -a, --all
        Declara contenido de todos los archivos.

    -n, --nsswitch
        Declara el contenido de nsswitch.conf.

    -s, --system-auth
        Declara el contenido de system-auth.

    -p, --password-auth
        Declara el contenido de password-auth.

    -c, --smartcard-auth
        Declara el contenido de smartcard-auth.

    -f, --fingerprint-auth
        Declara el contenido de fingerprint-auth.

    -o, --postlogin
        Declara el contenido de postlogin.

    -d, --dconf-db
        Declara el contenido de la base de datos dconf.

    -l, --dconf-lock
        Declara el contenido del bloqueo de dconf.

Característica enable-feature [-b] [--backup=NOMBRE] [-q, --quiet]
    Activar la característica en el perfil seleccionado actualmente.

    -b
        Respalda los archivos del sistema antes de activar la característica. El respaldo se guardara en "/var/lib/authselect/backups"/NAME. La hora y día actual única se utiliza como un nombre del respaldo. Esto es un atajo para --backup=.

    --backup=NOMBRE
        Respalda archivos del sistema antes de activar característica. El respaldo será almacenado en "/var/lib/authselect/backups"/NAME. La hora y día actual con cadena única es utilizada como un nombre si no se proporciona ningún valor.

    --quiet, -q
        El comando no mostrará mensajes de información como requisitos de perfil adicionales o lugar donde se guardan las copias. Los errores seguirán saliendo.

característica disable-feature [-b] [--backup=NOMBRE]
    Desactivar la característica en el perfil seleccionado actualmente.

    -b
        Respalda archivos del sistema antes de desactivar característica. actual junto con una cadena de caracteres única serán usadas como nombre del respaldo. Esto es un atajo para --backup=.

    --backup=NOMBRE
        Respalda los archivos de sistema antes de desactivar el perfil. El respaldo será almacenado en "/var/lib/authselect/backups"/NOMBRE. Se utiliza la hora y día con la cadena única como un nombre si no se proporciona ningún valor.

is-feature-enabled feature
    Check if feature is currently enabled in the selected profile.

create-profile NOMBRE [--custom,-c|--vendor,-v] [opciones]
    Crear un nuevo perfil de nombre NOMBRE. Se puede basar en uno existente, en cuyo caso las plantillas se copian del original o se enlazan al mismo si así se indica.

    --vendor,-v
        El perfil nuevo es un perfil de proveedor en lugar de uno personal. Consulte authselect-profiles(5) para obtener más información sobre los tipos de perfiles.

    --base-on=ID-BASE, -b=ID-BASE
        El perfil nuevo utilizará el de nombre ID-BASE como base. El perfil original se obtiene siguiendo este orden:

            1. Si ID-BASE comienza por custom/, se trata de un perfil personalizado.

            2. Se busca ID-BASE en los perfiles del proveedor.

            3. Se busca ID-BASE en los perfiles predeterminados.

            4. Devuelve un error.

    --base-on-default
        Usar de base un perfil predeterminado incluso si se encuentra también entre los del proveedor.

    --symlink-meta
        Los archivos informativos (como README y REQUIREMENTS) serán enaces simbólicos a los del perfil original en lugar de una copia.

    --symlink-nsswitch
        La plantilla nsswitch.conf será un enlace a la del perfil original en lugar de una copia.

    --symlink-pam
        Las plantillas PAM serán enlaces a las del perfil original en lugar de copias.

    --symlink-dconf
        Las plantillas dconf serán enlaces a las del perfil original en lugar de copias.

    --symlink=ARCHIVO,-s=ARCHIVO
        Crea un enlace simbólico para un archivo plantilla FILE en vez de crear su copia. Esta opción se puede incluir varias veces.

ORDENES DE RESPALDO

Estas órdenes pueden ser utilizadas para gestionar configuraciones de respaldo.

listado-respaldo [-r, --raw]
    Declara respaldos disponibles. Si está especificada la opción --raw, la orden declarará solo nombres de respaldo sin ningún formato e información adicional.

backup-remove RESPALDO
    Borra permanentemente respaldos con el nombre RESPALDO.

backup-restore RESPALDO
    Configuración de respaldo desde respaldo nombrado coo RESPALDO. Nota: esto sobrescribirá la configuración actual.

OTROS COMANDOS

opt-out
    Quita la configuración de authselect. Esto restaurará la configuración de nsswitch y PAM bajo su lugar del sistema y authselect no lo gestionará más. Ejecute authselecto select a opt-in de nuevo.

OPCIONES COMUNES

Estas opciones están disponibles para todos los comandos.

--debug
    Declara información de depuración y mensajes de error.

--trace
    Mostrar qué está haciendo la herramienta.

--warn
    Declara información sobre situaciones que no afectan a la ejecución del programa pero pueden indicar algún problema (p.ej., un archivo inesperado en el directorio de perfiles).

SOLUCIONES

  ¿Cómo puede llamar si mi sistema está utilizando authselect?

Utilice authselect check. La salida le deirá si tiene 1) la configuración generada por authselect 2) configuración no auth-seleccionada o 3) configuración que fue generada por authselect pero modificada manualmente en algún punto.

  ¿Se supone nsswitch.conf sea un enlace simbólico ahora?

Authselect genera su configuración del sistema desde cero y la almacena en "/etc/authselect". Los archivos del sistema entonces se crean como enlaces simbólicos a este directorio. Los enlaces simbólicos se utilizan para hacerlo claro que authselect no está poseyendo su configuración y sería utilizado en su lugar de cualquier modificación manual.

  Error: fueron detectados cambios inesperados en la configuración.

Por ejemplo:

    [error] [/etc/authselect/nsswitch.conf] no existe.
    [error] [/etc/nsswitch.conf] no es un enlace simbólico.
    [error] [/etc/nsswitch.conf] no fue creado por authselect.
    [error] Se han detectados cambios inesperados para la configuración.
    [error] Rechazando activación de perfil a no ser que esos cambios sean solicitados a eliminar o sobrescribir.

Esto quiere decir que su configuración es desconocida para authselect y por lo tanto no será modificada. Para solucionar esto, invoque authselect select con el parámetro --force para decir que es correcto sobrescribirlo.

CÓDIGOS DEVUELTOS

El authselect puede devolver estos códigos de salida:

    • 0: Logrado.

    • 1: Error genérico.

    • 2. Perfil o configuración no fue encontrado o el sistema no fue configurado con authselect.

    • 3: La configuración actual no es válida, fue editada sin authselect.

    • 4: Se debe sobrescribir la configuración del sistema para activar el perfil de authselect, el parámetro --force es necesario.

    • 5: La instrucción ejecutada se debe ejecutar como root.

    • 6: No fue detectada ninguna configuración.

ARCHIVOS GENERADOS

Authselect crea y mantiene los siguientes archivos para configurar la identidad y la autenticación en el sistema.

"/etc/nsswitch.conf"
    Archivo de configuración de Intercambio de Servicio de Nombre.

"/etc/pam.d"/system-auth
    Pila PAM incluida desde casi todos los archivos de configuración individual de cada servicio.

"/etc/pam.d"/password-auth, smartcard-auth, fingerprint-auth
    Pilas PAM para aplicaciones que gestionan la autenticación desde diferentes tipos de dispositivos mediante conversaciones individuales en lugar de una agregada.

"/etc/pam.d"/postlogin
    Esta pila PAM proporciona un lugar común para los módulos a los que se tiene que llamar después de la de system-auth o alguno de los otros comunes. Se incluye en los servicios de entrada al sistema con acceso a intérprete o a archivos. NOTA: los módulos del archivo postlogin se ejecutan independientemente de que los de system-auth indiquen éxito o no.

"/etc/dconf/db/distro.d"/"20-authselect"
    Cambios en a base de datos dconf. El uso principal sería el de cambiar la pantalla de inicio de sesión de gnome para activar o desactivar la autenticación mediante tarjeta inteligente o lector de huellas.

"/etc/dconf/db/distro.d"/locks/"20-authselect"
    Este archivo define bloqueos en conjunto de valores internos a la base de datos dconf.

CONSULTE TAMBIÉN

authselect-profiles(5), authselect-migration(7), nsswitch.conf(5), PAM(8)